Bug 609338 - [abrt] crash in xscreensaver-gl-extras-1:5.11-4.1.fc13.respin1: raise: Process /usr/libexec/xscreensaver/glslideshow was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in xscreensaver-gl-extras-1:5.11-4.1.fc13.respin1: raise: Proces...
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:99f31945905bc50f4578e943ad4...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-30 01:58 UTC by Pete Gale
Modified: 2011-03-30 07:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-30 07:36:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.59 KB, text/plain)
2010-06-30 01:58 UTC, Pete Gale
no flags Details
.xsession-errors (97.07 KB, text/plain)
2010-07-03 05:11 UTC, Pete Gale
no flags Details
.xsession-errors.old (264.07 KB, text/plain)
2010-07-03 05:12 UTC, Pete Gale
no flags Details

Description Pete Gale 2010-06-30 01:58:34 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: glslideshow -root
component: xscreensaver
crash_function: raise
executable: /usr/libexec/xscreensaver/glslideshow
global_uuid: 99f31945905bc50f4578e943ad4b3a5cedc9b8a7
kernel: 2.6.33.5-124.fc13.x86_64
package: xscreensaver-gl-extras-1:5.11-4.1.fc13.respin1
rating: 4
reason: Process /usr/libexec/xscreensaver/glslideshow was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Open "Screensaver Preferences"
2. Select GLSlideshow
3.

Comment 1 Pete Gale 2010-06-30 01:58:36 UTC
Created attachment 427841 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2010-06-30 03:17:05 UTC
Would you attach ~/.xsession-errors (and maybe ~/.xsession-errors.old)?

Comment 3 Mamoru TASAKA 2010-06-30 04:05:58 UTC
By the way are you using xscreensaver-demo on a small window?

Comment 4 Pete Gale 2010-07-03 05:11:56 UTC
Created attachment 429222 [details]
.xsession-errors

Comment 5 Pete Gale 2010-07-03 05:12:24 UTC
Created attachment 429223 [details]
.xsession-errors.old

Comment 6 Pete Gale 2010-07-03 05:20:00 UTC
I got this specific crash when opening gnome-screensaver-preferences on a docked laptop (LVDS1 1440x900, VGA 1920x1080). However, my session dies every time I lock my display and let the screensaver kick in automatically if it is on any GL* screensaver (GLSlideshow). It's fine with a blank screen.

Comment 7 Mamoru TASAKA 2010-07-03 05:39:23 UTC
Sorry, however it seems you have logged out from GNOME session
several times and the required information no longer exists in
the attached .xsession-errors. If this issue appears again, would
you attach .xsession-errors at the time?

(In reply to comment #6)
> However, my session dies every
> time I lock my display and let the screensaver kick in automatically if it is
> on any GL* screensaver (GLSlideshow). It's fine with a blank screen.    

For now I guess it is driver's issue.

Comment 8 Mamoru TASAKA 2011-03-30 07:36:23 UTC
Once closing.


Note You need to log in before you can comment on or make changes to this bug.